Bug 152954 - Kernel hangs during boot after loading HP cciss module
Kernel hangs during boot after loading HP cciss module
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 05:15 EST by Christophe GRENIER
Modified: 2015-01-04 17:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:36:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe GRENIER 2005-03-31 05:15:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041026 Firefox/1.0RC1

Description of problem:
The server is a Compaq ProLiant DL380 G2 using cciss module
There are two SCSI U3 configured as Raid 1.
kernel-2.6.10-1.770_FC3 blocks during boot.


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.770_FC3

How reproducible:
Always

Steps to Reproduce:
1. reboot
2.
3.
  

Actual Results:  kernel-2.6.10-1.770_FC3 blocks after displaying
cciss: using DAC cycles
      blocks= 35553120 block_size= 512
      heads= 255, sectors= 32, cylinders= 4357
                                                                                                                             The server hangs but it can be rebooted using Ctrl+Alt+Sup.



Expected Results:  kernel-2.6.9-1.724_FC3 is not affected. It works well
HP CISS Driver (v 2.6.4)
cciss: Device 0xb178 has been found at bus 0 dev 1 func 0
cciss: using DAC cycles
      blocks= 35553120 block_size= 512
      heads= 255, sectors= 32, cylinders= 4357
                                                                                                                             
 cciss/c0d0: p1 p2 < p5 p6 p7 p8 p9 p10 > p3


Additional info:
Comment 1 Christophe GRENIER 2005-04-07 13:32:56 EDT
kernel-2.6.11-1.1226_FC4 is also affected.

The problem has been solved by appending acpi=off !

Comment 2 Mike Pepe 2005-05-27 09:27:58 EDT
I have identical hardware, had the same identical problem, and the above
resolution worked. Seems like some sort of ACPI bug?
Comment 3 Christophe GRENIER 2005-05-27 10:45:48 EDT
Yes, it's ACPI related.
Using acpi=ht, my server is running with a kernel 2.6.11-1.1226_FC4 for more
than 3 weeks.
Comment 4 Nigel Metheringham 2005-06-01 10:42:30 EDT
I see this too on HP DL380-G2 single CPU hardware.  Only tested with
kernel-2.6.11-1.27_FC3 and kernel-2.6.11-1.14_FC3 (the install kernel -
2.6.9-1.667 - works OK).

Setting acpi=ht works for me too

I suspect this may be related to the HP CISS driver update - 2.6.2 to 2.6.4 -
that happened between the install and 2.6.11 kernels.

Comment 5 Mike Pepe 2005-06-01 12:05:26 EDT
Why does setting acpi=ht on this system work? P3 CPUs don't support HT, so is
this in effect the same thing as saying acpi=off?
Comment 6 Michel van der List 2005-06-15 11:24:51 EDT
I had the same problem trying to build FC4 on a proliant DL380 G2. Compaq Smart
Array 5i (Rev B, ver 1.16). Using the acpi=off trick did it for me.
Comment 7 Dave Jones 2005-07-15 14:42:12 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 8 Nigel Metheringham 2005-08-11 11:28:06 EDT
Bug still present with 2.6.12-1.1372_FC3
Originally booted with SMP kernel, oops and crash on root mount.
Also hung with same config, and acpi=ht
Booted OK when used UP kernel and acpi=off

Can probably do further tests on a different box if needed within the next few
days.  The box I hit problems with today is in use so cannot play much :-)

Comment 9 Dave Jones 2006-01-16 17:17:16 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 10 Dave Jones 2006-02-03 00:58:02 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 John Thacker 2006-05-04 09:36:41 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.